<?php
/*
 * account.php
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

  include ("include/header_info.php");

/*		User Account Preferences Page
 *
 *	This page is used to change user password, set/change email address, change 'Receive email' option.
 *
 *								AUTHOR : R.Vigneswaran , Khader Abbeb N
 */

  include ("include/functions_common.php");    
  //provides function to make database connection
  
  $user_name = $_SESSION['user'];            
  $validated = "initial";
  $pass_wd   = md5($_POST['pass_wd']);

  if($_POST['account_frm_submit']) {          //form account_frm has been submitted
    $chk_chg_pass = $_POST['chk_chg_pass'];   //getting checkbox values
    $chk_chg_email = $_POST['chk_chg_email'];
    $chk_recv_email = $_POST['chk_recv_email'];

    $sql_query = "";
    if($chk_chg_pass) {                       //password change is required
      if($sql_query)
        $sql_query .= ",";
      $sql_query .= "password = md5('" . $_POST['new_pass_wd'] ."')";
    }
    if($chk_chg_email) {                      //email change is required
      if($sql_query)
        $sql_query .= ",";
      $sql_query .= "mail_id = '" . $_POST['new_email'] ."'";
    }
    if($chk_recv_email) {                     //receiving email, status change is required
      if($sql_query)
        $sql_query .= ",";
      $sql_query .= "recv_mail = " . $_POST['recv_email'];
    }
    $sql_query = "update $table_user_details set " . $sql_query . " where user_name = '$user_name'";

    $db = dbConnect();
    mysql_query($sql_query,$db) or die("Database Error!");  //update the table with new values
    mysql_close($db);

    $updation = "success";
    $validated = "end";                        //a flag used to decide which form to display
  }
  else if($_POST["sub_pass"]) {                //form secure_frm has been submitted
    $sql_query = "select mail_id,recv_mail from $table_user_details where user_name = '$user_name' ";
    $sql_query .= "and password = '$pass_wd'";
    
    $db = dbConnect();
    $sql_result = mysql_query($sql_query,$db) or die("Database Error!");
    if(mysql_num_rows($sql_result)) {         //user passed authentication
      $validated = "success";
      $mail_id = mysql_result($sql_result,0,"mail_id");
      $recv_mail = mysql_result($sql_result,0,"recv_mail");
      $yes_checked = "";
      $no_checked = "";
      if($recv_mail)                     //decides which radiobutton needs to be checked for receive mail option
        $yes_checked = "checked";
      else
        $no_checked = "checked";
    }
    else                                      //user authentication failure
      $validated = "failure";
    mysql_close($db);
  }
  include ("head.php");                    //style header

?>

<script language = "JavaScript" type="text/javascript" src="scripts/account.js"> </script>

<?php
include("body.php");         // body
?>
<ul id="navibar">
    <li class="wikilink"><a href="main.php">Home</a></li>
    <li class="wikilink"><a href="list.php?category=untrans&amp;page=1">Untranslated Strings</a></li>
    <li class="wikilink"><a href="help.php">Help</a></li>
    <li class="current"><a href="#">MyAccount</a></li>
</ul>

<div id="pageline"><hr style="display:none;"></div>

</div>	
<!-- End of Div started in header.php -->
<div id="page">
<?php
  if($validated == "initial" || $validated == "failure") {
             //form to be shown at the first time or upon authentication failure
?>                                 
  <form name = "secure_frm" method = "post" action="" onSubmit = "return fn_verify_secure_frm()">
    <table align = "center" cellpadding = 5>
      <tr>
          <td colspan = 2 align = "center">Welcome <b><?echo $user_name; ?></b>,</td>
      </tr>
      <tr>
          <td colspan = 2>&nbsp;</td>
      </tr>
      <tr>
          <td>Enter your password</td>
          <td><input type = "password" name = "pass_wd"></td>
      </tr>
      <tr>
          <td colspan = 2>&nbsp;</td>
      </tr>
      <tr>
          <td colspan = 2 align = "center"><input type ="submit" name="sub_pass" value = "Submit"></td>
      </tr>
    </table>
  </form>
  <script type="text/javascript">
  <!--
    document.secure_frm.pass_wd.focus();  //initial focus is setting to the password field
   //-->
  </script>
<?php 
  if($validated == "failure")           //displaying authentication failure message
    echo "<br><font color = red><center>Incorrect password</center></font>";
} 
else if($validated == "success") {      //form to be shown if user passed authentication
?>
  <form name = "account_frm" method = "post" action="" onSubmit = "return fn_verify_account_frm()">
    <table align = "center" cellpadding = 5>
      <tr>
          <td colspan = 2 align = "left">Welcome <b><?echo $user_name; ?></b>,</td>
      </tr>
      <tr>
          <td colspan = 2>&nbsp;</td>
      </tr>
      <tr>
          <td colspan = 2><input type = "checkbox" name = "chk_chg_pass" value = "pass">Change Password</td>
      </tr>
      <tr>
          <td>New password</td>
          <td><input type = "password" name = "new_pass_wd"></td>
      </tr>
      <tr>
          <td>Confirm password</td>
          <td><input type = "password" name = "conf_pass_wd"></td>
      </tr>
      <tr>
          <td colspan = 2><font color="red" class="ver10">Password must have a minimum of 6 characters</font></td>
      </tr>
      <tr>
          <td colspan = 2></td>
      </tr>
      <tr>
          <td colspan = 2><input type = "checkbox" name = "chk_chg_email" value = "email">Change Email Address</td>
      </tr>
      <tr>
          <td colspan=2>Current Email Address :  <?php echo "$mail_id"; ?></td>
      </tr>
      <tr>
          <td>New Email Address</td>
          <td><input type = "text" name = "new_email"></td>
      </tr>
      <tr>
          <td colspan = 2></td>
      </tr>
      <tr>
          <td colspan = 2><input type = "checkbox" name = "chk_recv_email" value = "email">Change E-mail preference
                          <br /><br />Receive E-mail from Us</td>
      </tr>
      <tr>
          <td><input type = "radio" name = "recv_email" value = 1 <?php echo $yes_checked;?>>Yes</td>
          <td><input type = "radio" name = "recv_email" value = 0 <?php echo $no_checked;?>>No</td>
      </tr>
      <tr>
          <td colspan = 2>&nbsp;</td>
      </tr>
      <tr>
          <td colspan = 2 align = "center"><input type = "submit" name = "account_frm_submit" value = "Submit"></td>
      </tr>
    </table>
  </form>
  <script type="text/javascript">
  <!--
    document.account_frm.new_pass_wd.focus(); //setting initial focus to new password field
  //-->
  </script>
<?php 
}else if ($updation == "success")
{
    
    echo "<center>User details were updated successfully!</center><br /><br />";
} 
echo "</div>";

include ("footer.php");          //footer
?>
