/*
 * upgrade.js
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

function checkUgradeForm()
{
    var db_name, db_user, server_name;
    var tab_user_details, tab_lang_details, tab_file_details, tab_poheader;
    var tab_string_list, tab_string_context, tab_suggestion, lang_value, lang;
    var ret_val;
    
    ret_val = true;
    
    db_name     = document.upgrade_form.db_name.value;
    db_user     = document.upgrade_form.db_user.value;
    server_name = document.upgrade_form.server_name.value;
    
    ret_val = ret_val && db_name && db_user && server_name;
    
    tab_user_details   = document.upgrade_form.tab_user_details.value;
    tab_poheader       = document.upgrade_form.tab_poheader.value;
    tab_string_list    = document.upgrade_form.tab_string_list.value;
    tab_string_context = document.upgrade_form.tab_string_context.value;
    tab_suggestion     = document.upgrade_form.tab_suggestion.value;
    tab_lang_details   = document.upgrade_form.tab_lang_details.value;
    tab_file_details   = document.upgrade_form.tab_file_details.value;

    if (tab_user_details.indexOf("%") > -1 || tab_poheader.indexOf("%") > -1 ||
        tab_string_list.indexOf("%") > -1 || tab_string_context.indexOf("%") > -1 ||
        tab_suggestion.indexOf("%") > -1 || tab_lang_details.indexOf("%") > -1 ||
        tab_file_details.indexOf("%") > -1)
    {
        alert("Table names can not have % character.");
        return false;
    }
    
    
    ret_val = ret_val && tab_user_details && tab_poheader && tab_string_list &&
              tab_string_context && tab_suggestion && tab_lang_details &&
              tab_file_details;
    
    lang_value = document.upgrade_form.lang_value.value;
    lang       = document.upgrade_form.lang.value;
    
    ret_val = ret_val && lang_value && lang;
    
    if(!ret_val) {
        window.alert("Please enter values for mandatory fields.");
        ret_val = false;
    }
    return ret_val;
}
