<?php
/*
 * functions_list_translate.php
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

function insertCheckAuth($check)
{
    if( $check && ("{$_SESSION['user']}"=="") )
    {
        include('head.php');
        include('body.php');
        echo '<ul id="navibar">'.
            '<li class="wikilink"><a href="main.php">Home</a></li>'.
            '<li class="wikilink"><a href="list.php?category=untrans&amp;page=1">Untranslated Strings</a></li>'.
            '<li class="current"><a href="">Message</a></li>'.
            '<li class="wikilink"><a href="help.php">Help</a></li>'.
            '</ul>'.
            '<div id="pageline"><hr style="display:none;"></div>'.
            '</div>';
        echo '<br><br><center>'.
            '<span style="color:red">User authentication is required to access this page. '.
            'Please <a href=register/login to continue.</span>'.
            '</center><br><br>';
        include('footer.php');
        exit;
    }
}

function SubmitSuggestion ($string_id, $user_sug, $lang, $fuzzy, $file_id, $check_valid)
{
    global $table_string_context, $table_suggestion;

    $sql_sug_id		= "select sug_id from $table_suggestion where ".
                      "user_suggestion='$user_sug' and string_id=$string_id";
    $result_sug_id	= mysql_query($sql_sug_id);

    if (!mysql_num_rows($result_sug_id))
    {
        $sql_max_sug	= "select max(sug_id) from $table_suggestion";
        $result_max_sug	= mysql_query($sql_max_sug);
        $max_sug    	= mysql_result($result_max_sug,0,0);
        $sug_id		    = $max_sug + 1;
        $sql_insert_sug	= "insert into $table_suggestion ".
                          "(sug_id, string_id, user_suggestion, vote, lang, is_fuzzy) ".
                          "values ($sug_id, $string_id, '$user_sug',1, '$lang', $fuzzy)";
        mysql_query ($sql_insert_sug);
    }
    else
    {
        $sug_id		= mysql_result($result_sug_id,0,0);
        $sql_vote	= "update $table_suggestion set vote=vote+1 where ".
                      "sug_id = $sug_id";
        mysql_query ($sql_vote);
        $vote		= 1;
    }
    if($_SESSION['user_role'] == "validator")
    {
        if ($vote && !$check_valid)
        {
            updateFuzzy($sug_id, $fuzzy);
        }

        if ($check_valid)
        {
            if ($file_id != -1)
            {
                validatePerFile($sug_id, $fuzzy, $string_id, $file_id);
            }
            else
            {
                validateAllContext($sug_id, $fuzzy, $string_id, $lang);
            }
        }
    }
}

function submitSuggestionComment ($string_id, $user_sug, $lang, $comments, $is_fuzzy)
{
    global $table_string_context, $table_suggestion;

    $sql_sug_id		= "select sug_id from $table_suggestion where ".
        "user_suggestion='$user_sug' and comments='$comments' ".
        "and string_id=$string_id";
    $result_sug_id	= mysql_query($sql_sug_id);

    if (!mysql_num_rows($result_sug_id))
    {
        $sql_max_sug	= "select max(sug_id) from $table_suggestion";
        $result_max_sug	= mysql_query($sql_max_sug);
        $max_sug	= mysql_result($result_max_sug,0,0);
        $sug_id		= $max_sug + 1;
        $sql_insert_sug	= "insert into $table_suggestion ".
            "(sug_id, string_id, user_suggestion, vote, lang, comments, is_fuzzy) ".
            "values ($sug_id, $string_id, '$user_sug',1,'$lang','$comments','$is_fuzzy')";
        mysql_query ($sql_insert_sug);
    }
    else
    {
        $sug_id		= mysql_result($result_sug_id,0,0);
        $sql_vote	= "update $table_suggestion set vote=vote+1 where ".
            "sug_id = $sug_id";
        mysql_query ($sql_vote);
    }

}

function updateFuzzy($sug_id,$is_fuzzy)
{
    global $table_suggestion;
    if($_SESSION['user_role'] == "validator")
    {
        $sql_vote	= "update $table_suggestion set is_fuzzy=$is_fuzzy where ".
            "sug_id = $sug_id";
        mysql_query ($sql_vote);
    }
}

function validateArrayContext($sug_id, $fuzzy, $context_array)
{
    global $table_string_context;
    if($_SESSION['user_role'] == "validator")
    {
        $query_condition	= "context_id=".implode(" or context_id=",$context_array);
        $sql_validate_sug	= "update $table_string_context ".
            "set valid_sug_id = $sug_id, is_fuzzy='$fuzzy' ".
            "where $query_condition";
        mysql_query ($sql_validate_sug);
        return (mysql_affected_rows());
    }
    return false;
}

function validatePerContext($sug_id, $fuzzy, $context_id)
{
    global $table_string_context;
    if($_SESSION['user_role'] == "validator")
    {
        $sql_validate_sug	= "update $table_string_context ".
            "set valid_sug_id = $sug_id, is_fuzzy='$fuzzy' ".
            "where context_id = $context_id";
        mysql_query ($sql_validate_sug);
        return (mysql_affected_rows());
    }
    return false;
}

function validatePerFile($sug_id, $fuzzy, $string_id, $file_id)
{
    global $table_string_context;
    if($_SESSION['user_role'] == "validator")
    {
        $sql_validate_sug	= "update $table_string_context ".
                              "set valid_sug_id = $sug_id, is_fuzzy='$fuzzy' ".
                              "where file_id = $file_id and string_id=$string_id";
        mysql_query ($sql_validate_sug);
        return (mysql_affected_rows());
    }
    return false;
}

function validateAllContext($sug_id, $fuzzy, $string_id, $lang)
{
    global $table_string_context;
    updateFuzzy ($sug_id,$fuzzy);
    $file_list	= getFilesInLang($lang);
    $file_cond	= "file_id=". implode(" or file_id=", $file_list);
    if($_SESSION['user_role'] == "validator")
    {
        $sql_validate_sug	= "update $table_string_context ".
            "set valid_sug_id = $sug_id, is_fuzzy='$fuzzy' ".
            "where string_id = $string_id and ($file_cond)";
        mysql_query ($sql_validate_sug);
        return (mysql_affected_rows());
    }
    return false;
}

function updateComments($sug_id, $comments)
{
    global $table_suggestion;
    $sql_update_comment	= "update $table_suggestion set comments ='$comments' ".
        "where sug_id =$sug_id";
    mysql_query($sql_update_comment);
    return (mysql_affected_rows());
}

function incrementVote($sug_id)
{
    global $table_suggestion;
    $sql_vote	= "update $table_suggestion set vote=vote+1 ".
        "where sug_id=$sug_id ";
    mysql_query($sql_vote);
    if(mysql_affected_rows())
    {
        return true;
    }
    return false;
}

function getNumContext($string_id)
{
    global $table_string_context;
    $sql_num_context	= "select count(context_id) from $table_string_context ".
        "where string_id=$string_id";
    $result_num_context	= mysql_query($sql_num_context);
    $row_num_context 	= mysql_fetch_row($result_num_context);
    $num_context        = $row_num_context[0];
    return $num_context;
}

function getStringValue($string_id)
{
    global $table_string_list;
    $sql_get_string	= "select string_value from $table_string_list where string_id=$string_id";
    $result_string	= mysql_query($sql_get_string);
    if (mysql_num_rows($result_string))
    {
        return (mysql_result($result_string,0));
    }
    return false;
}

function getValidSugPerFile($string_id, $file_id)
{
    global $table_string_context;
    $sql_valid_sug 	= "select valid_sug_id from $table_string_context ".
        "where valid_sug_id!='-1' and file_id='$file_id' and string_id=$string_id" ;
    $result_valid_sug	= mysql_query($sql_valid_sug);
    $valid_sug		= array();
    $count		= 0;
    while ($row_valid_sug = mysql_fetch_row($result_valid_sug))
    {
        if ($valid_sug_t = $row_valid_sug[0])
        {
            $valid_sug[$count++] = $valid_sug_t;
        }
    }
    return $valid_sug;
}

function getValidSugAllFiles($string_id)
{
    global $table_string_context;
    $sql_all_valid_sug 		= "select valid_sug_id from $table_string_context ".
        "where valid_sug_id!='-1' and string_id=$string_id" ;
    $result_all_valid_sug	= mysql_query($sql_all_valid_sug);
    $all_valid_sug		= array();
    $count			= 0;
    while ($row_all_valid_sug = mysql_fetch_row($result_all_valid_sug))
    {
        if ($valid_sug_t = $row_all_valid_sug[0])
        {
            $all_valid_sug[$count++] = $valid_sug_t;
        }
    }
    return $all_valid_sug;
}

function getLangList($string_id)
{
    global $table_string_context, $table_file_details;
    $sql_lang_list	= "select distinct f.lang ".
        "from $table_string_context as c, $table_file_details as f ".
        "where f.node_id = c.file_id and c.string_id=$string_id";
    $result_lang_list	= mysql_query($sql_lang_list);
    $lang_list		= array();

    while($row_lang_list = mysql_fetch_row($result_lang_list))
    {
        $lang_list[]	= $row_lang_list[0];
    }
    return $lang_list;
}

function getAllLangList()
{
    global $table_file_details;
    $sql_all_lang	= "select distinct lang from $table_file_details ".
        "where is_po=1";
    $result_all_lang	= mysql_query($sql_all_lang);
    $all_lang		= array();

    while($row_all_lang = mysql_fetch_row($result_all_lang))
    {
        $all_lang[]	= $row_all_lang[0];
    }
    return $all_lang;
}

function getFilesInLang($lang)
{
    global $table_file_details;
    $sql_file_lang	= "select distinct node_id from $table_file_details ".
        "where lang='$lang' and is_po=1";
    $result_file_lang	= mysql_query($sql_file_lang);
    $file_list		= array();

    while($row_file_lang = mysql_fetch_row($result_file_lang))
    {
        $file_list[]	= $row_file_lang[0];
    }
    return $file_list;
}
?>
