<?php
/*
 * functions_translate.php
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

	function getContextList($string_id, $lang)
	{
	    global $table_string_context, $table_file_details;
	    if(!$lang)
	    {
	        $sql_context	= "select c.context_id, c.context, c.file_id, f.lang ".
				  "from $table_string_context as c, $table_file_details as f ".
			          "where c.string_id=$string_id and c.file_id = f.node_id";
	    }
	    else
	    { 
	        $sql_context	= "select c.context_id, c.context, c.file_id, f.lang ".
				  "from $table_string_context as c, $table_file_details as f ".
			          "where c.string_id=$string_id and c.file_id = f.node_id and f.lang='$lang'";
	    }
	    $result_context	= mysql_query($sql_context);
	    $index		= 0;
	    while($row_context = mysql_fetch_row($result_context))
	    {
		$file_id	= $row_context[2];
		$file_name	= getNodeName($file_id);

		$context[$index]["id"]		= $row_context[0];
		$context[$index]["value"]	= $row_context[1];
		$context[$index]["file"]	= $file_name;
		$context[$index]["lang"]	= $row_context[3];
		$index++;
	    }
	    return $context;
	}

	function moveSuggestionPage($mov, $string_id)
	{
	    global $table_string_context, $table_file_details;
	    global $file_id, $file_list, $funtrans, $category, $lang, $page;
		if($mov=="prev")		// Move to Previous
		{
		    if($file_id)
		    {
			if($funtrans)
			{
			     $sql_move 	= "select string_id from $table_string_context where ".
					  "valid_sug_id='-1' and string_id<$string_id and file_id='$file_id' ".
					  "order by string_id desc limit 1";
			}
			else
			{
			     $sql_move 	= "select string_id from $table_string_context where ".
					  "string_id<$string_id and file_id='$file_id' ".
					  "order by string_id desc limit 1";
			}

		    }
		    else if ($category=="untrans")
		    {
			$sql_move 	= "select string_id from $table_string_context as c, $table_file_details as f ".
					  "where f.lang='$lang' and f.node_id=c.file_id ".
					  "and c.string_id<$string_id and c.valid_sug_id='-1' ".
					  "order by string_id desc limit 1";
		    }
		    else
		    {
			$sql_move 	= "select string_id from $table_string_context as c, $table_file_details as f ".
					  "where f.lang='$lang' and f.node_id=c.file_id ".
					  "and c.string_id<$string_id ".
					  "order by string_id desc limit 1";
		    }
		}else if($mov=="next")		// Move to Next string
		{
		    if($file_id)
		    {
			if ($funtrans)
			{
			     $sql_move 	= "select string_id from $table_string_context where ".
					  "valid_sug_id='-1' and string_id>$string_id and file_id='$file_id' ".
					  "order by string_id limit 1";
			}
			else
			{
			     $sql_move 	= "select string_id from $table_string_context where ".
					  "string_id>$string_id and file_id='$file_id' ".
					  "order by string_id limit 1";
			}
		    }
		    else if ($category=="untrans")
		    {
			$sql_move 	= "select string_id from $table_string_context as c,$table_file_details as f ".
					  "where f.lang='$lang' and f.node_id=c.file_id ".
					  "and c.string_id>$string_id and c.valid_sug_id='-1' ".
					  "order by string_id limit 1";
		    }
		    else
		    {
			$sql_move 	= "select string_id from $table_string_context as c,$table_file_details as f ".
					  "where f.lang='$lang' and f.node_id=c.file_id ".
					  "and c.string_id>$string_id ".
					  "order by string_id limit 1";
		    }
		}
		$result_move	= mysql_query($sql_move);
		if($move_id = @mysql_result($result_move,0))
		{
		    if($file_id)
		    {
		    	header("Location: translate.php?file_list=$file_list&file_id=$file_id&funtrans=$funtrans&page=$page&sid=$move_id");
		    }
		    else
		    {
			header("Location: translate.php?category=$category&page=$page&sid=$move_id");
		    }
		}else
		{
		    if($file_id)
		    {
		    	header("Location: list.php?file_list=$file_list&file_id=$file_id&funtrans=$funtrans&page=1");
		    }
		    else
		    {
			header("Location: list.php?category=$category&page=1");
		    }
		}
	}

	function findPopularMatch($string_value, $lang)
	{
	    global $table_string_list, $table_string_context, $table_suggestion;

	    $string_match	= addslashes($string_value);
	    $sql_popular	= "select s.user_suggestion from ".
				  "$table_suggestion as s, $table_string_list as l where ".
				  "s.lang='$lang' and s.string_id = l.string_id and l.string_value = '$string_match' ".
				  "order by s.vote desc limit 1";
	    $result_popular	= mysql_query ($sql_popular);

	    if (mysql_num_rows($result_popular) )
	    {
		$row_popular	= mysql_fetch_row($result_popular);
		return $row_popular[0];
	    }
	    else
		return 0;

	}

	function findExactMatch ($string_value, $lang)
	{
	    global $table_string_list, $table_string_context, $table_suggestion;

	    $string_match	= addslashes($string_value);
	    $sql_match		= "select s.user_suggestion from ".
				  "$table_suggestion as s, $table_string_context as c, ".
				  "$table_string_list as l where ".
				  "c.valid_sug_id = s.sug_id and s.lang='$lang' and s.string_id = l.string_id and ".
				  "c.string_id = l.string_id and l.string_value = '$string_match' ".
				  "order by vote desc";
	    $result_match	= mysql_query ($sql_match);

	    if (mysql_num_rows($result_match))
	    {
		$row_match	= mysql_fetch_row ($result_match);
		return $row_match[0];
	    }
	    else
		return 0;
	}

	function getWordTranslation ($original_string, $lang)
	{
	    global $table_string_list, $table_string_context, $table_suggestion;

	    $string_t		= $original_string;
	    $trans_string 	= "";
	    $no_match_found	= 0;
	    $word_list		= preg_split('/[^a-zA-Z]+/', $string_t, -1, PREG_SPLIT_NO_EMPTY);
	    $trans_list		= array();

	    foreach ($word_list as $word)
	    {
		$no_match_found	= 0;

		if (!($trans_string	= findExactMatch($word, $lang)))
		{
		    if (!($trans_string	= findPopularMatch($word, $lang)))
		    {
			$no_match_found	= 1;
		    }
		}
		if (!$no_match_found)
		    $string_t	= preg_replace ("/\b$word\b/i", $trans_string, $string_t);
	    }

	    return ($string_t);

	}

	function getMachineTranslation($original_string, $lang)
	{
	    global $table_string_list, $table_string_context, $table_suggestion;

	    if (!$lang)
		return;

	    if( !( $trans_string = findExactMatch($original_string, $lang) ))
	    {
		if (!($trans_string = findPopularMatch($original_string, $lang)))
		{
		    // Translate substrings withing the main string

		    $string_t		= addslashes($original_string);
		    $sql_similar	= "select string_value from $table_string_list ".
					  "where match (string_value) against ('$string_t')".
					  "order by length(string_value) desc";
		    $result_similar	= mysql_query ($sql_similar);

		    if ($row_similar	= @mysql_fetch_row ($result_similar))
		    {
		        do
		        {
			    $phrase		= htmlentities($row_similar[0]);
			    if (stristr ($string_t, $phrase))
			    {
			        $no_match_found 	= 0;
			        if(!($trans_phrase = findExactMatch($phrase, $lang)))
			        {
				    if (!($trans_phrase = findPopularMatch($phrase, $lang)))
				    {
				        $no_match_found 	= 1;
				    }
			        }
			        if (!$no_match_found)
			        {
			            $string_t	= preg_replace("/\b$phrase\b/i", $trans_phrase, $string_t);
			        }
			    }

		        }while ($row_similar = mysql_fetch_row ($result_similar));
		    
		        $trans_string	= $string_t;
		    }
		    else
			$trans_string	= getWordTranslation ($original_string, $lang);
		}
	    }
	
	    return stripslashes($trans_string);
	}

	function findPhoneticWord($original_word)
	{
	    $word_t	= $original_word;

	    if(strlen($word_t) <= 2)
	    {
	        if (substr($word_t, -1, 1) == 'e')
		    $word_t	= substr($word_t, 0, strlen($word_t) - 1) . 'i';
	    }

	    // Remove final 'e'
	    if (substr($word_t, -1, 1) == 'e')	
		$word_t	= substr($word_t, 0, strlen($word_t) - 1);

	    // Replace starting 'cough' with 'couf'
	    if (substr($word_t,0,5) == "cough")
		$word_t	= "couf" . substr($word_t, 5);
	
	    // Replace starting 'rough' with 'rouf'
	    if (substr($word_t,0,5) == "rough")
		$word_t	= "rouf" . substr($word_t, 5);
	
	    // Replace starting 'tough' with 'touf'
	    if (substr($word_t,0,5) == "tough")
		$word_t	= "touf" . substr($word_t, 5);
	
	    // Replace starting 'trough' with 'trouf'
	    if (substr($word_t,0,6) == "trough")
		$word_t	= "trouf" . substr($word_t, 6);
	
	    // Replace starting 'gn' with 'n'
	    if (substr($word_t,0,2) == 'gn')
		$word_t	= "n" . substr($word_t, 2);

	    // Replace final 'tion' and 'sion' with 'shan'
	    if (substr($word_t, -4) == 'tion' ||
	        substr($word_t, -4) == 'sion')
		$word_t	= substr($word_t, 0, strlen($word_t) - 4) . "shan";

	    // Replace final 'mb' with 'm'
	    if (substr($word_t, -2) == 'mb')
		$word_t	= substr($word_t, 0, strlen($word_t) - 1);

	    // Replace final 'y' with 'i'
	    if (substr($word_t, -1) == 'y')
		$word_t	= substr($word_t, 0, strlen($word_t) - 1) . 'i';

	    // Replace final 'ss' with 's'
	    if (substr($word_t, -2) == 'ss')
		$word_t	= substr($word_t, 0, strlen($word_t) - 1);

	    // Find and Replace the following patterns
	    $word_t	= str_replace ("cq" , "q"  , $word_t);
	    $word_t	= str_replace ("ci" , "si" , $word_t);
	    $word_t	= str_replace ("ce" , "se" , $word_t);
	    $word_t	= str_replace ("cy" , "sy" , $word_t);
	    $word_t	= str_replace ("tch", "ch" , $word_t);
	    $word_t	= str_replace ("q"  , "k"  , $word_t);
	    $word_t	= str_replace ("x"  , "ks"  , $word_t);
	    $word_t	= str_replace ("v"  , "f"  , $word_t);
	    $word_t	= str_replace ("dg" , "g"  , $word_t);
	    $word_t	= str_replace ("tio", "sio", $word_t);
	    $word_t	= str_replace ("tia", "sia", $word_t);
	    $word_t	= str_replace ("d"  , "t"  , $word_t);
	    $word_t	= str_replace ("ph" , "f"  , $word_t);
	    $word_t	= str_replace ("b"  , "p"  , $word_t);
//	    $word_t	= str_replace ("sh" , "s"  , $word_t);
	    $word_t	= str_replace ("z"  , "s"  , $word_t);

	    // Replace all 'c' that are not followed by 'h','e' or 'i' with 'k'
	    $offset	= 0;
	    $char_pos	= strpos($word_t, 'c');
	    while ($char_pos !== false)
	    {
		if ($word_t{$char_pos+1} != 'h' && $word_t{$char_pos+1} != 'e' && $word_t{$char_pos+1} != 'i')
		{
		    $word_t{$char_pos} 	= 'k';
		}
		$offset		= $char_pos + 1;
		$char_pos	= strpos ($word_t, 'c' , $offset); 
	    }


	    $word_t	= str_replace ("t"  , "T"  , $word_t);
	    $word_t	= str_replace ("Th" , "t"  , $word_t);
	    $word_t	= str_replace ("you", "yu", $word_t);

	    // Replace initial vowel with 'a'
	    if ( 
//		$word_t{0} == 'a' || 
//		$word_t{0} == 'e' || 
//		$word_t{0} == 'i' || 
		$word_t{0} == 'o' || 
		$word_t{0} == 'u'   )
	    {
	    	$word_t	= "a" . substr($word_t, 1);
	    }

	    // Replace all consequetive, repeating 's','t','l'... with 'S','T','L'...
	    $word_t	= preg_replace ('/s[s]+/' , "S" , $word_t);
	    $word_t	= preg_replace ('/t[t]+/' , "T" , $word_t);
	    $word_t	= preg_replace ('/l[l]+/' , "L" , $word_t);
	    $word_t	= preg_replace ('/p[p]+/' , "P" , $word_t);
	    $word_t	= preg_replace ('/k[k]+/' , "K" , $word_t);
	    $word_t	= preg_replace ('/f[f]+/' , "F" , $word_t);
	    $word_t	= preg_replace ('/m[m]+/' , "M" , $word_t);
	    $word_t	= preg_replace ('/n[n]+/' , "N" , $word_t);

	    // Special Words

	    if ($original_word	== "to")
		$word_t	= "Tu";

	    if ($original_word	== "the")
		$word_t	= "tha";

	    return trim($word_t);
	}

	function makePhonetic($original_string)
	{
	    $string_t		= strtolower($original_string);
	    $word_list		= preg_split('/[^a-z]+/', $string_t, -1, PREG_SPLIT_NO_EMPTY);

	    foreach ($word_list as $word)
	    {
		if ( $phonetic_word = findPhoneticWord($word) )
		    $string_t	= preg_replace("/\b$word\b/i", $phonetic_word, $string_t);
	    }

	    return trim($string_t);
	}

?>
